import { fromDom } from "../../hast-util-from-dom/lib/index.js";
var parser = new DOMParser();
function fromHtmlIsomorphic(r, i) {
	return fromDom(i?.fragment ? parseFragment(r) : parser.parseFromString(r, "text/html"));
}
function parseFragment(e) {
	let n = document.createElement("template");
	return n.innerHTML = e, n.content;
}
export { fromHtmlIsomorphic };
